Skip to navigation

Remove template sharing for groups

View as Markdown
Removes a member group's sharing permissions for a specified template.

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

templateIdstringRequired
The ID of the template being accessed.
templatePartstringRequired

Currently, the only defined part is groups.

Request

This endpoint expects an object: groupInformation

endPositionstringOptional
The last position in the result set.
groupslist of objectsOptional
A collection group objects containing information about the groups returned.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional
The number of results returned in this response.
startPositionstringOptional
Starting position of the current result set.
totalSetSizestringOptional

The total number of items in the search’s result set. It will always be greater than or equal to the value of the resultSetSize field.

Response

Successful response.
endPositionstringOptional
The last position in the result set.
groupslist of objectsOptional
A collection group objects containing information about the groups returned.
nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

resultSetSizestringOptional
The number of results returned in this response.
startPositionstringOptional
Starting position of the current result set.
totalSetSizestringOptional

The total number of items in the search’s result set. It will always be greater than or equal to the value of the resultSetSize field.

Errors

400
Bad Request Error